<?php
/*
Plugin Name: Top Category Widget
Plugin URI: http://evileu.de/wordpress
Description: Gibt die Gesamtzahl der veröffentlichten Rezepte und die Anzahl der Beiträge einer frei wählbaren Kategorie an
Author: Evi Leu
Version: 1.0
Author URI: http://evileu.de
*/


class FeaturedCategoryWidget extends WP_Widget
{
  function FeaturedCategoryWidget()
  {
    $widget_ops = array('classname' => 'FeaturedCategoryWidget', 'description' => 'Zeigt die Anzahl der Rezepte einer frei wählbaren Kategorie an' );
    $this->WP_Widget('FeaturedCategoryWidget', 'Featured Kategorie', $widget_ops);
  }
 
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
	
	$instance = wp_parse_args( (array) $instance, array( 'select' => '' ) );
    $select = $instance['select'];
	
	
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Titel: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>
  
   <p>
    <label for="<?php echo $this->get_field_id( 'select' ); ?>"><?php _e( 'Select category', 'textdomain' ); ?>:</label>
    <?php wp_dropdown_categories( array( 'show_option_none' =>' ','name' => $this->get_field_name( 'select' ), 'selected' => $select ) ); ?>
  </p>
  
  
  
  
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
	$instance['select'] = $new_instance['select'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
	
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$select    = empty( $instance['select'] ) ? '' : esc_attr( $instance['select'] );
	
   
    // WIDGET CODE GOES HERE
    echo "<h3>".$title."</h3>";
	echo "Rezepte insgesamt: ".wp_count_posts()->publish."<br>";
	
	global $wpdb;
	$alleposts = $wpdb->get_results( "SELECT * from ".$wpdb->prefix."term_taxonomy where term_id = ".$select."");
	
	foreach($alleposts as $einpost){
		
		echo $einpost->count;
	}
	
	echo " davon ".get_the_category_by_ID($select);
    
	echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("FeaturedCategoryWidget");') );?>